NemoMath - Bug #1242
Allow Configuration and Build with Eigen3 and Eigen2
11/18/2012 02:58 PM - S. Wrede

Status: Resolved Start date: 11/18/2012
Priority: Normal Due date:

Assignee: S. Wrede % Done: 100%
Category: Estimated time: 1.00 hour
Target version: NemoMath 0.4

Description

The CMake configuration logic should detect whether Eigen is installed in version 2 or 3. If version 3 is present, in its current state, the

corresponding compatibility flags should be added to the compiler options.

Related issues:
Related to NemoMath - Support # 1147: Is Nemomath compatible with Eigen3? Resolved

Related to NemoMath - Bug # 1253: Handle Eigen3 / Eigen2 dependency in debian... Feedback

08/22/2012
11/22/2012

Associated revisions

Revision 237 - 11/18/2012 03:06 PM - S. Wrede

Added automatic checking for Eigen3 and Eigen2 at configuration time

Eigeng3 is preferred over Eigen2

In case Eigen3 is found, an additional compatibility flag is set

Removed brew specific Eigen handling and corresponding configuration option
refs #1242

History

#1-11/18/2012 03:39 PM - S. Wrede
- Status changed from New to Resolved
- % Done changed from 0 to 100

Fixed in SVN trunk. Should work now with Eigen3 in comatbility mode and use Eigen2 as a fallback.
